%define ver_major 2.32

Name:    sound-juicer
Version: %ver_major.0
Release: alt1

License: GPLv2+
Url:     http://ftp.gnome.org/pub/GNOME/sources/%name/%ver_major
Source: %url/%name-%version.tar.bz2


BuildPreReq: gnome-common desktop-file-utils intltool libSM-devel libgtk+2-devel
BuildPreReq: gst-plugins-cdparanoia gst-plugins-vorbis gst-plugins-flac
BuildPreReq: gst-plugins-good-audio-formats

# Automatically added by buildreq on Mon Nov 16 2009
BuildRequires: db2latex-xsl docbook-dtds farsight2 gcc-c++ gnome-doc-utils-xslt gnome-doc-utils
BuildRequires: gnome-media-devel gst-ffmpeg gst-plugins-devel gst-plugins-gio
BuildRequires: gst-plugins-libvisual gst-plugins-pango gst-plugins-ugly gstreamer-utils
BuildRequires: gvfs intltool libbrasero-devel libcanberra-devel libcdio-devel
BuildRequires: libmusicbrainz3-devel libdbus-glib-devel libglade-devel libcanberra-gtk2-devel


Group: Sound
Summary: Clean and lean CD ripper
Requires: gst-plugins-cdparanoia gst-plugins-vorbis gst-plugins-flac gst-plugins-good-audio-formats gst-plugins-gio

%description
GStreamer-based CD ripping tool. Saves audio CDs to audio formats,
supported by GStreamer.

%prep
%setup -q

%build
# For gnome-doc-utils
export PKG_CONFIG_PATH="$PKG_CONFIG_PATH:/usr/share/pkgconfig"

%configure \
	--disable-static \
	--disable-dependency-tracking \
	--disable-schemas-install \
	--disable-scrollkeeper \
	--with-gtk=2.0

%make_build

%install
%makeinstall

%find_lang --with-gnome %name

%post
%gconf2_install %name

%postun
%gconf2_uninstall %name

%files -f %name.lang
%doc AUTHORS COPYING ChangeLog INSTALL README NEWS
%config %_sysconfdir/gconf/schemas/*
%_bindir/*
%_datadir/%name
%_datadir/applications/*
%_datadir/icons/*/*/*/*
%_man1dir/*

%changelog
* Mon Oct 11 2010 Alexey Shabalin <shaba@altlinux.ru> 2.32.0-alt1
- 2.32.0

* Mon May 17 2010 Alexey Shabalin <shaba@altlinux.ru> 2.28.2-alt1
- 2.28.2

* Thu Nov 26 2009 Alexey Shabalin <shaba@altlinux.ru> 2.28.1-alt1
- 2.28.1

* Mon Nov 16 2009 Alexey Shabalin <shaba@altlinux.ru> 2.28.0-alt2
- update buildreq
- only one libmusicbrainz in BuildRequires
- add --disable-static
- add patches from fedora
- rebuild with new libcdio

* Sun Nov 15 2009 Alexey Shabalin <shaba@altlinux.ru> 2.28.0-alt1
- 2.28.0

* Fri Aug 28 2009 Valery Inozemtsev <shrek@altlinux.ru> 2.26.1-alt1
- rebuild with new libcdio

* Mon Apr 13 2009 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.26.1-alt0.1
- 2.26.1

* Wed Mar 18 2009 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.26.0-alt1
- 2.26.0

* Tue Oct 14 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.24.0-alt2
- Replace gst-plugins-gnomevfs dependency with gst-plugins-gio

* Thu Oct 02 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.24.0-alt1
- 2.24.0

* Sat May 17 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.0-alt3
- Rebuild with new gstreamer build

* Thu Apr 10 2008 Igor Vlasenko <viy@altlinux.ru> 2.22.0-alt2.qa1
- NMU (by repocop): the following fixes applied:
 * update_menus for sound-juicer

* Thu Mar 13 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.0-alt2
- correct build on x86_64

* Tue Mar 11 2008 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.22.0-alt1
- 2.22.0

* Fri Oct 19 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.1-alt1
- 2.20.1

* Thu Sep 20 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.20.0-alt1
- 2.20.0

* Sun Jun 24 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt2
- Correct buildreq

* Tue May 08 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.4-alt1
- 2.16.4

* Wed Feb 21 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.3-alt1
- Add man page

* Wed Feb 21 2007 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.3-alt0.1
- 2.16.3

* Mon Nov 27 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.2-alt0.1
- 2.16.2

* Wed Oct 11 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.16.1-alt0.1
- 2.16.1 (NMU)

* Tue Jun 06 2006 Sergey N. Yatskevich <syatskevich@altlinux.ru> 2.14.4-alt0.1
- 2.14.4 (NMU)

* Tue Nov 29 2005 Vital Khilko <vk@altlinux.ru> 2.12.3-alt1
- 2.12.3

* Wed Oct 12 2005 Vital Khilko <vk@altlinux.ru> 2.12.2-alt1
- 2.12.2

* Fri Sep 09 2005 Vital Khilko <vk@altlinux.ru> 2.12.0-alt1
- new version released
- removed translated package descriptions

* Thu Aug 04 2005 Vital Khilko <vk@altlinux.ru> 2.11.90-alt1
- 2.11.90

* Sat Apr 02 2005 Vital Khilko <vk@altlinux.ru> 2.10.0-alt1
- 2.10.0

* Sun Feb 06 2005 Vital Khilko <vk@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Thu Jan 13 2005 Vital Khilko <vk@altlinux.ru> 0.5.14-alt2
- rebuild with hal

* Fri Nov 05 2004 Vital Khilko <vk@altlinux.ru> 0.5.14-alt1
- new version released
- updated belarusian translation

* Fri Sep 03 2004 Vital Khilko <vk@altlinux.ru> 0.5.12-alt1
- new version released (thanks aris@ )

* Thu Apr 08 2004 Vital Khilko <vk@altlinux.ru> 0.5.10.1-alt1
- initial build for ALT Linux Sisyphus
